Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.extra.spath
Interface SPathParserConstants

All Known Implementing Classes:
  SPathParser, SPathParserTokenManager

    public interface SPathParserConstants

Field Summary
`static int` | `AT`
`static int` | `COLON`
`static int` | `COMBINING_CHAR`
`static int` | `DASH`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DOT`
`static int` | `END_BRACKET`
`static int` | `EOF`
`static int` | `EQUALS`
`static int` | `EXTENDER`
`static int` | `LETTER`
`static int` | `LITERAL`
`static int` | `NCNAME`
`static int` | `NCNAMECHAR`
`static int` | `NSWILDCARD`
`static int` | `QNAME`
`static int` | `SLASH`
`static int` | `STAR`
`static int` | `START_BRACKET`
`static String[]` | `tokenImage`
`static int` | `UNDERSCORE`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### LITERAL

    static final int LITERAL

See Also:
  Constant Field Values

### QNAME

    static final int QNAME

See Also:
  Constant Field Values

### NCNAME

    static final int NCNAME

See Also:
  Constant Field Values

### NSWILDCARD

    static final int NSWILDCARD

See Also:
  Constant Field Values

### NCNAMECHAR

    static final int NCNAMECHAR

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### COMBINING_CHAR

    static final int COMBINING_CHAR

See Also:
  Constant Field Values

### EXTENDER

    static final int EXTENDER

See Also:
  Constant Field Values

### UNDERSCORE

    static final int UNDERSCORE

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### DASH

    static final int DASH

See Also:
  Constant Field Values

### SLASH

    static final int SLASH

See Also:
  Constant Field Values

### STAR

    static final int STAR

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### START_BRACKET

    static final int START_BRACKET

See Also:
  Constant Field Values

### END_BRACKET

    static final int END_BRACKET

See Also:
  Constant Field Values

### AT

    static final int AT

See Also:
  Constant Field Values

### EQUALS

    static final int EQUALS

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.